AppWorx, Dollar Universe and Sysload Community

Versioning error when importing via REST api

  • 1.  Versioning error when importing via REST api

    Posted 08-12-2020 04:49 PM
    Doing a bunch of imports with python via REST api, i'll hit the following error:

    400
    b'{\n  "code" : 45216,\n  "error" : "FileSync: The import of object \'HOSTG.STANDARD.LINUX\' is currently not possible because the versioning has not yet completed.",\n  "details" : "No detail information available."\n}'

    Seems like there is a "versioning" maintenance operation that needs to be performed before i can import that object again. If i wait a bit, i can import it again. 

    I did open a case on the issue, but support is getting hooked up on it being a "custom script" because i'm using the REST api. I just want to know if there is any information about how often a versioning operation takes or if there is something i can validate against before i try importing again.